Module | Sequel::Plugins::Composition::InstanceMethods
In: | lib/sequel/plugins/composition.rb

### Methods

_refresh before_save compositions

### Public Instance methods

_refresh(ds)

Clear the cached compositions when refreshing.

[Source]

         # File lib/sequel/plugins/composition.rb, line 152
    152:         def _refresh(ds)
    153:           super
    154:           compositions.clear
    155:         end

before_save()

For each composition, set the columns in the model class based on the composition object.

[Source]

         # File lib/sequel/plugins/composition.rb, line 159
    159:         def before_save
    160:           @compositions.keys.each{|n| instance_eval(&model.compositions[n][:decomposer])} if @compositions
    161:           super
    162:         end

compositions()

Cache of composition objects for this class.

[Source]

         # File lib/sequel/plugins/composition.rb, line 165
    165:         def compositions
    166:           @compositions ||= {}
    167:         end

[Validate]